#!/usr/bin/python

class BinNode(object):
	def __init__(self,content=None):
		self.data=content
		self.left=None
		self.right=None
	
	def setLeft(self,left):
		self.left=left

	def setRight(self,right):
		self.right=right
	
	def getLeft(self):
		return self.left
	
	def getRight(self):
		return self.right
	
	def setData(self,content):
		self.data=content

	def getData(self,content):
		return self.data

	def isLeaf(self):
		return self.left and self.right
	
